<template>
    <div class="all-delivery-rectangle">
        <b-container>
            <b-row>
                <div
                    class="image" 
                    size="md" 
                    :style="{ 'background-image': `url(${previewImage})` }" 
                >
                </div>
            </b-row>
        </b-container>
        <div class="row mt-3 text-center">
            <p class="name"> <span> {{ user.first_name }} </span> <span> {{ user.last_name }} </span></p>
        </div>
        <hr class="lign">
        <div class="row mt-2 text-center">
            <p> Nombre de Livraison : ... </p>
            <p> 4.3 stars</p> 
            <p> Livre depuis Novembre 2021</p> 
        </div>
    </div>
</template>

<script>
import Vue from "vue";

export default Vue.extend({
    name: 'ProfileComponent',

    data: () => ({
        user: {
            first_name: "",
            last_name: "",
            email: "",
            phone_number: "",
        },
        street: "",
        postcode: "",
        city: "",
        country: "",  
    }),
    
    mounted() {
        if (localStorage.user) {
            this.user = JSON.parse(localStorage.user);
            const fullAddress = this.user.address.split(';')
            this.street = fullAddress[0]
            this.postcode = fullAddress[1]
            this.city = fullAddress[2]
            this.country = fullAddress[3]
        }
    }
});

</script>



<style scoped>

.lign{
    width:70%;
    color:black;
    background-color:black;
    height:2px;
    border-radius: 10px;
    margin: auto;
}

.image{
    background-color: #A9A9A9;
    border-radius: 100%;
    width:100px;
	height:100px;
    margin: auto;
    margin-top: 10px;
    background-size: cover;
    background-position: center center;
}

.all-delivery-rectangle {
    background-color: #FFF1D8;
	width:300px;
	height:300px;
    border-radius: 30px;
    margin: auto;
    border: thin;
}

.name{
    font-size: 20px;
    color: #000000;
}

</style>